from django.urls import path
from .views import (
        PhotoGroupAPIView,
        PhotosAPIView,
        PhotoAPIView,
        AddPhotoAPIView,
        AddPhotoGroupAPIView,
        AutoCropPhotoAPIView,
        PhotoLogsAPIView,
        PhotoLogAPIView,
        AddPhotoLogAPIView,
        DestroyPhotoLogAPIView,
        DestroyPhotoAPIView,
        UpdatePhotoLogAPIView,
        UpdatePhotoAPIView,
        GeneratePhotoLogAPIView,
        PhotoTagsAPIView,
        RetrieveUpdateDestroyPhotoTagAPIView,
        CreatePhotoTagAPIView,
        PhotoLogTemplatesAPIView,
        CreatePhotoLogTemplateAPIView,
        RetrieveUpdateDestroyPhotoLogTemplateAPIView,
        UsersAPIView,
        )


urlpatterns = [
    #path('', PhotoGroupAPIView.as_view()),
    path('photogroups/', PhotoGroupAPIView.as_view()),
    path('photos/', PhotosAPIView.as_view()),
    path('photo/<int:pk>/', PhotoAPIView.as_view()),
    path('addphoto/', AddPhotoAPIView.as_view()),
    path('addphotogroup/', AddPhotoGroupAPIView.as_view()),
    path('cropphoto/<int:pk>/', AutoCropPhotoAPIView.as_view()),
    path('photologs/', PhotoLogsAPIView.as_view()),
    path('photolog/<int:pk>/', PhotoLogAPIView.as_view()),
    path('addphotolog/', AddPhotoLogAPIView.as_view()),
    path('deletephotolog/<int:pk>/', DestroyPhotoLogAPIView.as_view()),
    path('deletephoto/<int:pk>/', DestroyPhotoAPIView.as_view()),
    path('updatephotolog/<int:pk>/', UpdatePhotoLogAPIView.as_view()),
    path('updatephoto/<int:pk>/', UpdatePhotoAPIView.as_view()),
    path('generatephotolog/<int:pk>/', GeneratePhotoLogAPIView.as_view()),

    path('phototag/', CreatePhotoTagAPIView.as_view()),
    path('phototags/', PhotoTagsAPIView.as_view()),
    path('phototag/<int:pk>/', RetrieveUpdateDestroyPhotoTagAPIView.as_view()),
    
    path('photolog/template/', CreatePhotoLogTemplateAPIView.as_view()),
    path('photolog/templates/', PhotoLogTemplatesAPIView.as_view()),
    path('photolog/template/<int:pk>/', RetrieveUpdateDestroyPhotoLogTemplateAPIView.as_view()),

    path('users/', UsersAPIView.as_view()),
]
